Help - Search - Members - Calendar
Full Version: 5600 Problems With Install
OESF Forums > Distros, Development, and Model Specific Forums > Everything Development > OpenZaurus/Opie/Qtopia
Jymb007
I am getting the following error on boot of my 5600 after loading oz 3.5.3. Can anyone assist me with this?

"Warning You are running the wrong kernel"
"You are running '2.4.28-rmk7-pxa3-embedix-021129' I expect kernel ''2.4.28-rmk7-pxa3-embedix-3.5.3'
"running the combination is unsupported"

Here is what I had done.
I was using the Sharp ROM and wanted to try OZ, so I downloaded these files:

opie-image-poodle-20050409140246.rootfs.jffs2.bin
zImage-poodle-20050409140246.bin
updater.sh

renamed the files to:

initrd.bin
zImage
updater.sh

copied them to my CF card and followed the update instructions. The update appeared to complete, but I get the error above when I boot.

What did I do wrong?
It eventually does boot into Opie, but I get the same warning when I reset.

Sorry if stupid question. I am relatively new to Linux/Zaurus.
lardman
Looks like the kernel did not flash, hence the warning. You want the newer kernel

check the md5sum of the zimage file to make sure it is not corrupt. Then check that your os did not 'add' a .bin (or some other) extension to the zimage file.

I've just been told that it is still zImage, so ignore the comment in italics below:

Now originally 3 files were needed: initrd.bin, updater.sh and zimage, however I was under the impression that we would eventually move to naming zimage as zimage.bin (which is the same way things are done for the other machines - except the 5500/5000D which is just different as it doesn't use updater.sh). So if the md5sum is correct, but it still won't flash, try renaming zimage to zimage.bin and see if that works.

If you remove the initrd.bin you can just flash the kernel on its own (you need the updater.sh still to perform the flashing), this way you can keep whatever settings you have already made.


Si
Greg2
QUOTE(lardman @ May 19 2005, 12:55 PM)
I've just been told that it is still zImage

I've been using zimage.bin, but I just checked the updater.sh that is in the 3.5.3 feed and it will flash both zimage.bin or zImage.

Note: could this be moved to OZ/Common?(sorry, I couldn't resist that!) smile.gif

Greg
Jymb007
QUOTE(Greg2 @ May 19 2005, 02:05 PM)
QUOTE(lardman @ May 19 2005, 12:55 PM)
I've just been told that it is still zImage

I've been using zimage.bin, but I just checked the updater.sh that is in the 3.5.3 feed and it will flash both zimage.bin or zImage.

Note: could this be moved to OZ/Common?(sorry, I couldn't resist that!) smile.gif

Greg
*




Thanks. Just changed the name to zImage.bin and it upgraded the kernel.
Sorry if I posted in the wrong area!
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.